<?php
/*******************************************************************
 * 版权协议：2009-2019
 * 版权所有: PHP-北京金南曦网络技术有限公司旗下PHPWMS，PHP商城系统技术支持中心http://www.php188.net，并保留所有权利。 
* PHP商城系统网址: http://www.php188.com
 * PHPWMS系统网址：http://www.phpwms.com
 * 销售电话：010-87875088
 * 销售电话：010-87875188 
*------------------------------------------------------------------
 * 这不是一个完全免费软件！您只能在不用于商业目的的前提下对程序代码进
 * 行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 *------------------------------------------------------------------
 * 文件名称：admin_slide.php
 * 摘　　要：幻灯片
 * 适用范围：PHPWMS 1.0
 * 版　　本：1.0
 *------------------------------------------------------------------
 * Script Written By phpwms项目组
 * 最后更新： 2009-09-24 phpwms 由PHP金南曦网络技术有限公司整理发布
 *******************************************************************/
if(!defined('IN_SYS'))exit('access die');
if (!getAdminPri('8104'))exit(NO_AUTH_LOGIN);
$do = trim($_GET['do']);
$post = $_POST;
$tpl -> assign('do',$do);
switch ($do){
	case 'add' :
	case 'edit':
		$url = '?action=slide';
		$data['image_src'] = $post['image_src'];
		if(empty($data['image_src'])){
			$sp->bgmsg('图片路径不能为空', $url);
		}
		$image_type = substr($data['image_src'], strlen($data['image_src']) - 3);
		$image_types = array('jpg','png', 'gif');
		if(!in_array($image_type, $image_types)){
			$sp->bgmsg('图片格式只能是以 .jpg 、.png 、.gif 结尾', $url);
		}
		$data['link_url'] = empty($post['link_url']) ? '#': $post['link_url'];
		$data['sort'] = abs(intval($post['sort']));
		$data['description'] = $post['description'];
		$data['title'] = $post['title'];
		$result = unserialize_deep(get_cache('phpwms_slide'));
		if($do == 'edit'){
			$id = abs(intval($post['id']));
			if(count($result) < $id){
				$sp->bgmsg('不存在此数据', $url);
			}
			$msg = '修改成功';
			$result[$id] = $data;
		}else{
			$msg = '添加成功';
			$result[] = $data;
		}
		$result = filter_site_url_encode($result);
	case 'delete':
		if($do == 'delete'){
			$result = unserialize_deep(get_cache('phpwms_slide'));
			$id = abs(intval($_GET['id']));
			$result[$id] = '';
			$result = array_filter($result);
			$msg = '删除成功';
		}
		$result = array_column_sort($result, 'sort');
		siteConfig('phpwms_slide', serialize_deep($result));
		$sp->bgmsg($msg, $url);
		break;
	default :
		$pn = '幻灯片列表';
		$result = unserialize_deep(get_cache('phpwms_slide'));
		$result = filter_site_url_decode($result);
		foreach ($result as $k=>$v){
			$array = explode('/',$v['image_src']);
			$result[$k]['image_file_name'] = $array[count($array) - 1];
		}
		$tpl->assign('result', $result);
		break;
}
$tpl -> assign('admin_nav',shownav($pn));
$tpl -> display('slide.tpl');
?>